# dp 数据处理中间件

## 实现DML DDL
## 数据修改
* 备份WHERE条件筛选的数据
* 检验WHERE条件筛选的数据条目与更新条目是否一致
* 禁止修改系统级别或业务系统基础数据
* DDL操作限制在内网环境使用

## v1-基础版本(不建议使用)
### 直接判断sql语句关键字，校验sql有效性。
### 只支持单条语句执行并不需要结束符号。

## v2-多线程版本
### 使用Druid解析sql，校验sql有效性。
### 执行按钮支持以英文 **;** 分隔多条语句，使用多线程处理。

## 公共功能
### 查询只支持单条语句执行并不需要结束符号。
### 查询结果直接导出Excel。
### update & delete 语句默认会根据where条件先备份源数据。
### 每次执行的语句都会存储到数据库中（不管是否执行成功），并记录当前执行人ip、用户等信息。
### 日志下载7天内的leaf.log；新增下载当天集群环境所有的日志

## 支持版本
### Leaf4.1 & Leaf4.2 

